Subject: Re: FVWM: Various configuration problems

From: Dominik Vogt <[email-masked]>
Date: Mon, 3 Nov 2003 12:36:14 +0100

On Sun, Oct 26, 2003 at 04:34:54PM -0500, jlm wrote:
> I'm new to fvwm, and I have a number of problems getting it configured
> exactly as I want it. If anyone can point me in the right direction for
> any of these problems I would appreciate it.
> 
> First off, I'd like to have an FvwmIconBox on my second screen
> (Xinerama), and whenever I iconify a window, it's icon appears in the
> FvwmIconBox. When I click on that icon, it deiconifies, and disappears
> from the FvwmIconBox. I do not want to see any icons on the root window.
> I also do not want to see any icons in the FvwmIconBox for windows that
> are not iconified.
> 
> I almost sort of can do this. Here's what I have so far.
> I have function that does these two things when I go to iconify a
> window:
> Iconify true
> Style "$[w.resource]" NoIcon
> 
> I also have set Style * IconBox none.
> Unfortunately when I iconify, say a terminal window, and I have more
> than one open, I get on icon for each window in the FvwmIconBox. I
> haven't figured out how to do the reverse at all.

The reverse of what?  Isn't that exactly what you described above?

> My next problem, is that I am trying to create a Vgradient down the
> border of my windows, this is what I have tried:
> *FvwmTheme: Colorset 2 Vgradient 1000 rgb:00/00/00 rgb:FF/FF/FF
> Style * BorderColorset 2
> 
> It seems that the border actually takes the color that is a blend of the
> first and second colors, as opposed to having a smooth gradient down the
> border. Is this even possible?

No.  Colour sets are not fully supported in window decorations.
Only the plain colours are used in the window border.  This is
going to change some day.

> Finally, my last question. Most of my main windows are maximized on my
> primary screen. I have also removed their window borders, as I have no
> need to resize, or move them, I simply go to another page of the desktop
> if I need some empty space. I would like any additional windows of these
> programs to have a border. For example, the main Evolution window is
> maximized and borderless. The window in which I type this message is
> smaller and on top of the main window. It kind of floats there right
> now, because it doesn't have a border. I'm not sure how to get the kind
> of fine grain control out of the style command to be able to put a
> border on all Evolution windows except the "main" one.

In 2.5.8, styles can be tied to individual windows too.  I don't
know the name of the command that does this from the top of my
head.  You will probably need FvwmEvent too, or maybe a function
like this:

  AddToFunc start_borderless
  + I exec exec $1
  + I wait $0
  + I next ($0) thiswindow <style_by_id_command> $w <styles>

Ciao

Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].